%define upstream_name    IO-Compress
%define upstream_version 2.074

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    IO Interface to compressed data files/buffers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(Compress::Raw::Bzip2) >= 2.69.0
BuildRequires: perl(Compress::Raw::Zlib) >= 2.69.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl-Compress-Raw-Bzip2    >= 2.30.0
BuildRequires: perl-devel
Obsoletes:  perl-Compress-Zlib
Obsoletes:  perl-IO-Compress-Base
Obsoletes:  perl-IO-Compress-Bzip2
Obsoletes:  perl-IO-Compress-Zlib

%description
This distribution provides a Perl interface to allow reading and writing of
compressed data created with the zlib and bzip2 libraries.

IO-Compress supports reading and writing of bzip2, RFC 1950, RFC
1951, RFC 1952 (i.e. gzip) and zip files/buffers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%make_build test

%install
%make_install
for i in %{buildroot}/%{_bindir}/*; do mv $i $i-%{upstream_version}; done

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/Compress
%{perl_vendorlib}/File
%{perl_vendorlib}/IO


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 2.74.0-2pclos2017
- rebuild against updates

